import Action from './../../packages/runner/actions/action.ts'

/**
 *  getting json from url, parse response and send to console
 *  
 *  @author Björn Hase <me@herr-hase.wtf>
 *  @license http://opensource.org/licenses/MIT The MIT License
 *  @link https://git.node001.net/HerrHase/super-hog.git
 *
 */

class JsonExample extends Action {
    async run() {
        const response = await fetch(this.config.url)

        if (response.status == 200) {
            this.result = await response.json()
        }

        console.log(this.result)
    }
}

export default JsonExample
