/**
 *  Docket 
 *
 *  Is used to hold all data and configs that run through the actions 
 *
 *  @author Björn Hase <me@herr-hase.wtf>
 *  @license http://opensource.org/licenses/MIT The MIT License
 *  @link https://git.node001.net/HerrHase/super-hog.git
 *
 */
class Docket {

    // config for action 
    private config: object

    // data 
    private data: object
    private options: object
    private db: object 
    
    /**
     *  
     *
     *  @param object config 
     *
     */
    public constructor(config: object, db: object) {
        this.config = config
        this.db = db
    }

    public getData() {
        return this.data
    }

    public setData(data: object) {
        return this.data = data
    }

    public setOptions(options): object {
        this.options = options
    }

    public getConfig(): object {
        return this.config
    }

    public getDb(): object {
        return this.db
    }
}

export default Docket
